Bug 241473 - Review Request: ocaml-ssl - SSL bindings for OCaml
Review Request: ocaml-ssl - SSL bindings for OCaml
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
:
Depends On: 240557
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-26 07:24 EDT by Richard W.M. Jones
Modified: 2015-09-25 06:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 15:36:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-05-26 07:24:29 EDT
Spec URL: http://annexia.org/tmp/ocaml-ssl.spec
SRPM URL: http://annexia.org/tmp/ocaml-ssl-0.4.2-1.src.rpm
Description: ocaml-ssl contains SSL bindings for OCaml.  The
 original package can be found here:
 http://savonet.sourceforge.net/wiki/Savonet
Comment 1 Xavier Lamien 2007-06-09 19:45:12 EDT
Added bug dependency #240557
Comment 2 Richard W.M. Jones 2007-06-11 15:42:17 EDT
Spec URL: http://annexia.org/tmp/ocaml/ocaml-ssl.spec
SRPM URL: http://annexia.org/tmp/ocaml/ocaml-ssl-0.4.2-2.src.rpm

Updated to latest OCaml packaging guidelines.
Built against OCaml 3.10.
Tested against bytecode-only architectures.
Comment 3 Xavier Lamien 2007-07-13 18:19:11 EDT
Starting review...
Comment 4 Xavier Lamien 2007-07-16 16:15:55 EDT
=== REQUIRED ITEMS ===

 [ OK ] Package is named according to the Package Naming Guidelines.
 [ OK ] Spec file name must match the base package.
 [ OK ] Package meets the Packaging Guidelines.
 [ OK ] Package successfully builds into binary rpms on at least one
        supported architecture.
 [ CHECK ] Tested on: Mock x86_64 [FC-devel]

 [ OK ] Package is not relocatable.
 [ OK ] Buildroot is correct
 [ OK ] Package is licensed with an open-source compatible license.
 [ OK ] License field in the package spec file matches the actual license.
 [ OK ] License type: LGPL
 [ OK ] The source package includes the text of the license(s).
 [ OK ] Spec file is legible and written in American English.
 [ SKIP ] Package is not known to require ExcludeArch.
 [ OK ] All build dependencies are listed in BuildRequires.
 [ OK ] The spec file handles locales properly.
 [ SKIP ] ldconfig called in %post and %postun if required.
 [ Ok ] Package must own all directories that it creates.
 [ OK ] Package requires other packages for directories it uses.
 [ OK ] Package does not contain duplicates in %files.
 [ OK ] Permissions on files are set properly.
 [ OK ] Package has a %clean section.
 [ OK ] Package consistently uses macros.
 [ OK ] Package contains code, or permissable content.
 [ SKIP ] Large documentation files are in a -doc subpackage, if required.
 [ CHECK ] Package uses nothing in %doc for runtime.
 [ SKIP] Header files in -devel subpackage, if present.
 [ SKIP ] Static libraries in -devel subpackage, if present.
 [ SKIP ] Package requires pkgconfig, if .pc files are present.
 [ SKIP ] Development .so files in -devel subpackage, if present.
 [ CHECK ] Fully versioned dependency in subpackages, if present.
 [ OK ] Package does not contain any libtool archives (.la).
 [ SKIP ] Package contains a properly installed %{name}.desktop file.
 [ OK ] Package does not own files or directories owned by other packages.

According to OCaml Packaging Guideline:
 
 [ OK ] OCaml modules / libs should be named ocaml-foo.
 [ OK ] The spec file should still build bytecode libraries and binaries.
 [ OK ] Should Test if the native compiler is present.
 [ OK ] main package should contain files matching all files which're mentioned    
        in OCaml guideline if present.
 [ OK ] -devel sub-package Should contains all files which're mentioned in OCaml
       guidelines if present.



 [ ? ] Rpmlint output:

 * From RPM (main package):
W: ocaml-ssl devel-file-in-non-devel-package /usr/lib64/ocaml/ssl/ssl.cmi
W: ocaml-ssl devel-file-in-non-devel-package/usr/lib64/ocaml/ssl/ssl_threads.cmi

This above can be ignored accroding to the OCaml packaging guideline.

W: ocaml-ssl unstripped-binary-or-object
/usr/lib64/ocaml/stublibs/dllssl_threads_stubs.so
W: ocaml-ssl unstripped-binary-or-object /usr/lib64/ocaml/stublibs/dllssl_stubs.so

Comment 5 Xavier Lamien 2007-07-23 13:33:23 EDT
ping ?
Comment 6 Richard W.M. Jones 2007-07-25 10:43:57 EDT
New Package CVS Request
=======================
Package Name: ocaml-ssl
Short Description: SSL bindings for OCaml
Owners: rjones@redhat.com
Branches: F-7
InitialCC: rjones@redhat.com,lxtnow@gmail.com
Comment 7 Xavier Lamien 2007-07-25 17:41:42 EDT
fixed fedora-review flag
Comment 8 Ding-Yi Chen 2015-09-24 21:33:20 EDT
New Package CVS Request
=======================
Package Name: ocaml-ssl
Short Description: SSL bindings for OCaml
Owners: rjones dchen
Branches: epel7 el6
Comment 9 Jon Ciesla 2015-09-25 06:18:01 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.